Ubuntu-14.04 [SOLVED]: Unable to upgrade Requests lib Python

Ubuntu-14.04 [SOLVED]: Unable to upgrade Requests lib Python

Home Forums Ubuntu 14.04 Ubuntu-14.04 [SOLVED]: Unable to upgrade Requests lib Python

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #36160

    Anonymous

    QuestionQuestion

    I am trying to upgrade Requests lib for Python 2.7.6 on Ubuntu 14.04, but I can’t.

    If I try to run sudo pip install requests --upgrade I get this message:

    Downloading/unpacking requests from https://pypi.python.org/packages/49/df/50aa1999ab9bde74656c2919e
      Downloading requests-2.18.4-py2.py3-none-any.whl (88kB): 88kB downloaded
    Requirement already up-to-date: certifi>=2017.4.17 in /usr/local/lib/python2.7/dist-packages (from )
    Requirement already up-to-date: idna>=2.5,<2.7 in /usr/local/lib/python2.7/dist-packages (from requ)
    Requirement already up-to-date: chardet>=3.0.2,<3.1.0 in /usr/local/lib/python2.7/dist-packages (fr)
    Requirement already up-to-date: urllib3>=1.21.1,<1.23 in /usr/local/lib/python2.7/dist-packages (fr)
    Installing collected packages: requests
       Found existing installation: requests 2.2.1
       Not uninstalling requests at /usr/lib/python2.7/dist-packages, owned by OS
    Successfully installed requests
    Cleaning up...
    

    If I try to unistall it to then install it again:sudo pip uninstall requests:

    Not uninstalling requests at /usr/lib/python2.7/dist-packages, owned by OS.  
    

    #36161

    Anonymous

    Accepted AnswerAnswer

    first try this

    sudo -i pip install --upgrade requests
    

    if that doesn’t work then below one

    uninstall your pip and install the latest one hope this may solve the issue

    uninstall – sudo pip uninstall pip

    reinstall sudo apt install python-pip

    Source: https://askubuntu.com/questions/985626/unable-to-upgrade-requests-lib-python
    Author: AMAN PANDEY
    Creative Commons License
    This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.